import javafx.application.Application;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.geometry.Insets;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Slider;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class MinimalSlider_02 extends Application {

    final Slider mySlider = new Slider(0, 1, 1); 

    @Override
    public void start(Stage stage) {
        Group root = new Group();
        Scene scene = new Scene(root, 400, 200);
        stage.setScene(scene);
        stage.setTitle("Slider Sample");

        GridPane grid = new GridPane();
        grid.setPadding(new Insets(10, 10, 10, 10));
        grid.setVgap(10);
        grid.setHgap(70);

        scene.setRoot(grid);

        
		// CHANGES FOR TESTING:
		// http://docs.oracle.com/javafx/2/api/javafx/scene/control/Slider.html
		mySlider.setMin(1); // minimum Value
		mySlider.setMax(3); // maximum Value
		mySlider.setValue(2); // current Value
	    
		mySlider.setShowTickLabels(true); //
		mySlider.setShowTickMarks(true);
		mySlider.setMajorTickUnit(1);
		mySlider.setMinorTickCount(0);
		//mySlider.setBlockIncrement(1);
		mySlider.setSnapToTicks(true);

        mySlider.valueProperty().addListener(
		new ChangeListener<Number>()
		{
			public void changed(
				ObservableValue<? extends Number> ov,
				Number old_val, Number new_val)
			{
				System.out.println(new_val);
			}
		});

        GridPane.setConstraints(mySlider, 1, 1);
        grid.getChildren().add(mySlider);
        stage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}